diff --git a/src/main/java/net/minecraft/core/net/handler/PacketHandler.java b/game/core/src/main/java/net/minecraft/core/net/handler/PacketHandler.java
similarity index 53%
rename from src/main/java/net/minecraft/core/net/handler/PacketHandler.java
rename to game/core/src/main/java/net/minecraft/core/net/handler/PacketHandler.java
index b7b47d0a1..8573791af 100644
--- a/src/main/java/net/minecraft/core/net/handler/PacketHandler.java
+++ b/game/core/src/main/java/net/minecraft/core/net/handler/PacketHandler.java
@@ -11,7 +11,7 @@ public abstract class PacketHandler
 
     public abstract boolean isServerHandler();
 
-    public void handleMapChunk(BlockRegionUpdatePacket blockRegionUpdatePacket)
+    public void handleMapChunk(PacketBlockRegionUpdate blockRegionUpdatePacket)
     {
     }
 
@@ -23,365 +23,365 @@ public abstract class PacketHandler
     {
     }
 
-    public void handleKickDisconnect(DisconnectPacket packet255KickdisconnectPacket)
+    public void handleKickDisconnect(PacketDisconnect packet255KickdisconnectPacket)
     {
         handleInvalidPacket(packet255KickdisconnectPacket);
     }
 
-    public void handleLogin(LoginPacket loginPacket)
+    public void handleLogin(PacketLogin loginPacket)
     {
         handleInvalidPacket(loginPacket);
     }
 
-    public void handleFlying(MovePlayerPacket movePlayerPacket)
+    public void handleFlying(PacketMovePlayer movePlayerPacket)
     {
         handleInvalidPacket(movePlayerPacket);
     }
 
-    public void handleMultiBlockChange(ChunkBlocksUpdatePacket chunkBlocksUpdatePacket)
+    public void handleMultiBlockChange(PacketChunkBlocksUpdate chunkBlocksUpdatePacket)
     {
         handleInvalidPacket(chunkBlocksUpdatePacket);
     }
 
-    public void handleBlockDig(PlayerActionPacket playerActionPacket)
+    public void handleBlockDig(PacketPlayerAction playerActionPacket)
     {
         handleInvalidPacket(playerActionPacket);
     }
 
-    public void handleBlockUpdate(BlockUpdatePacket blockUpdatePacket)
+    public void handleBlockUpdate(PacketBlockUpdate blockUpdatePacket)
     {
         handleInvalidPacket(blockUpdatePacket);
     }
 
-    public void handlePreChunk(ChunkVisibilityPacket chunkVisibilityPacket)
+    public void handlePreChunk(PacketChunkVisibility chunkVisibilityPacket)
     {
         handleInvalidPacket(chunkVisibilityPacket);
     }
 
-    public void handleNamedEntitySpawn(AddPlayerPacket addPlayerPacket)
+    public void handleNamedEntitySpawn(PacketAddPlayer addPlayerPacket)
     {
         handleInvalidPacket(addPlayerPacket);
     }
 
-    public void handleEntity(MoveEntityPacket moveEntityPacket)
+    public void handleEntity(PacketMoveEntity moveEntityPacket)
     {
         handleInvalidPacket(moveEntityPacket);
     }
 
-    public void handleEntityTeleport(TeleportEntityPacket teleportEntityPacket)
+    public void handleEntityTeleport(PacketTeleportEntity teleportEntityPacket)
     {
         handleInvalidPacket(teleportEntityPacket);
     }
 
-    public void handlePlace(UseItemPacket useItemPacket)
+    public void handlePlace(PacketUseItem useItemPacket)
     {
         handleInvalidPacket(useItemPacket);
     }
 
-    public void handleBlockItemSwitch(SetCarriedItemPacket setCarriedItemPacket)
+    public void handleBlockItemSwitch(PacketSetCarriedItem setCarriedItemPacket)
     {
         handleInvalidPacket(setCarriedItemPacket);
     }
 
-    public void handleDestroyEntity(RemoveEntityPacket removeEntityPacket)
+    public void handleDestroyEntity(PacketRemoveEntity removeEntityPacket)
     {
         handleInvalidPacket(removeEntityPacket);
     }
 
-    public void handleSetPaintingMotive(SetPaintingArtPacket setPaintingArtPacket)
+    public void handleSetPaintingMotive(PacketSetPaintingArt setPaintingArtPacket)
     {
         handleInvalidPacket(setPaintingArtPacket);
     }
 
-    public void handlePickupSpawn(AddItemEntityPacket addItemEntityPacket)
+    public void handlePickupSpawn(PacketAddItemEntity addItemEntityPacket)
     {
         handleInvalidPacket(addItemEntityPacket);
     }
 
-    public void handleCollect(TakeItemEntityPacket takeItemEntityPacket)
+    public void handleCollect(PacketTakeItemEntity takeItemEntityPacket)
     {
         handleInvalidPacket(takeItemEntityPacket);
     }
 
-    public void handleChat(ChatPacket chatPacket)
+    public void handleChat(PacketChat chatPacket)
     {
         handleInvalidPacket(chatPacket);
     }
 
-    public void handleVehicleSpawn(AddEntityPacket addEntityPacket)
+    public void handleVehicleSpawn(PacketAddEntity addEntityPacket)
     {
         handleInvalidPacket(addEntityPacket);
     }
 
-    public void handleAnimation(AnimatePacket animatePacket)
+    public void handleAnimation(PacketAnimate animatePacket)
     {
         handleInvalidPacket(animatePacket);
     }
 
-    public void handlePlayerState(UpdatePlayerStatePacket updatePlayerStatePacket)
+    public void handlePlayerState(PacketUpdatePlayerState updatePlayerStatePacket)
     {
         handleInvalidPacket(updatePlayerStatePacket);
     }
 
-    public void handleHandshake(PreLoginPacket preLoginPacket)
+    public void handleHandshake(PacketPreLogin preLoginPacket)
     {
         handleInvalidPacket(preLoginPacket);
     }
 
-    public void handleMobSpawn(AddMobPacket addMobPacket)
+    public void handleMobSpawn(PacketAddMob addMobPacket)
     {
         handleInvalidPacket(addMobPacket);
     }
 
-    public void handleUpdateTime(SetTimePacket setTimePacket)
+    public void handleUpdateTime(PacketSetTime setTimePacket)
     {
         handleInvalidPacket(setTimePacket);
     }
 
-    public void handleSpawnPosition(SetSpawnPositionPacket setSpawnPositionPacket)
+    public void handleSpawnPosition(PacketSetSpawnPosition setSpawnPositionPacket)
     {
         handleInvalidPacket(setSpawnPositionPacket);
     }
 
-    public void handleEntityVelocity(SetEntityMotionPacket setEntityMotionPacket)
+    public void handleEntityVelocity(PacketSetEntityMotion setEntityMotionPacket)
     {
         handleInvalidPacket(setEntityMotionPacket);
     }
 
-    public void handleEntityMetadata(SetEntityDataPacket setEntityDataPacket)
+    public void handleEntityMetadata(PacketSetEntityData setEntityDataPacket)
     {
         handleInvalidPacket(setEntityDataPacket);
     }
 
-    public void handleAttachEntity(SetRidingPacket setRidingPacket)
+    public void handleAttachEntity(PacketSetRiding setRidingPacket)
     {
         handleInvalidPacket(setRidingPacket);
     }
 
-    public void handleUseEntity(InteractPacket interactPacket)
+    public void handleUseEntity(PacketInteract interactPacket)
     {
         handleInvalidPacket(interactPacket);
     }
 
-    public void handleEntityStatus(EnitityEventPacket enitityEventPacket)
+    public void handleEntityStatus(PacketEntityEvent enitityEventPacket)
     {
         handleInvalidPacket(enitityEventPacket);
     }
 
-    public void handleEntityTagData(EntityTagDataPacket entityTagDataPacket)
+    public void handleEntityTagData(PacketEntityTagData entityTagDataPacket)
     {
         handleInvalidPacket(entityTagDataPacket);
     }
 
-    public void handleUpdateHealth(SetHealthPacket setHealthPacket)
+    public void handleUpdateHealth(PacketSetHealth setHealthPacket)
     {
         handleInvalidPacket(setHealthPacket);
     }
 
-    public void handleUpdatePlayerProfile(UpdatePlayerProfilePacket updatePlayerProfilePacket)
+    public void handleUpdatePlayerProfile(PacketUpdatePlayerProfile updatePlayerProfilePacket)
     {
         handleInvalidPacket(updatePlayerProfilePacket);
     }
 
-    public void handleRespawn(RespawnPacket respawnPacket)
+    public void handleRespawn(PacketRespawn respawnPacket)
     {
         handleInvalidPacket(respawnPacket);
     }
 
-    public void handleExplosion(ExplosionPacket explosionPacket)
+    public void handleExplosion(PacketExplosion explosionPacket)
     {
         handleInvalidPacket(explosionPacket);
     }
 
-    public void handleOpenWindow(ContainerOpenPacket containerOpenPacket)
+    public void handleOpenWindow(PacketContainerOpen containerOpenPacket)
     {
         handleInvalidPacket(containerOpenPacket);
     }
 
-    public void handleCloseWindow(ContainerClosePacket containerClosePacket)
+    public void handleCloseWindow(PacketContainerClose containerClosePacket)
     {
         handleInvalidPacket(containerClosePacket);
     }
 
-    public void handleWindowClick(ContainerClickPacket containerClickPacket)
+    public void handleWindowClick(PacketContainerClick containerClickPacket)
     {
         handleInvalidPacket(containerClickPacket);
     }
 
-    public void handleTileEntityData(BlockEntityDataPacket blockEntityDataPacket)
+    public void handleTileEntityData(PacketBlockEntityData blockEntityDataPacket)
     {
         handleInvalidPacket(blockEntityDataPacket);
     }
 
-    public void handleSetSlot(ContainerSetSlotPacket containerSetslotPacket)
+    public void handleSetSlot(PacketContainerSetSlot containerSetslotPacket)
     {
         handleInvalidPacket(containerSetslotPacket);
     }
 
-    public void handleWindowItems(ContainerSetContentPacket containerSetContentPacket)
+    public void handleWindowItems(PacketContainerSetContent containerSetContentPacket)
     {
         handleInvalidPacket(containerSetContentPacket);
     }
 
-    public void handleUpdateSign(SignUpdatePacket signUpdatePacket)
+    public void handleUpdateSign(PacketSignUpdate signUpdatePacket)
     {
         handleInvalidPacket(signUpdatePacket);
     }
 
-    public void handleSetMobSpawner(SetMobSpawnerPacket setMobSpawnerPacket)
+    public void handleSetMobSpawner(PacketSetMobSpawner setMobSpawnerPacket)
     {
         handleInvalidPacket(setMobSpawnerPacket);
     }
     
-    public void handleUpdateProgressbar(ContainerSetDataPacket containerSetDataPacket)
+    public void handleUpdateProgressbar(PacketContainerSetData containerSetDataPacket)
     {
         handleInvalidPacket(containerSetDataPacket);
     }
 
-    public void handlePlayerInventory(SetEquippedItemPacket setEquippedItemPacket)
+    public void handlePlayerInventory(PacketSetEquippedItem setEquippedItemPacket)
     {
         handleInvalidPacket(setEquippedItemPacket);
     }
 
-    public void handlePlayerHeldObject(SetHeldObjectPacket setHeldObjectPacket) {
+    public void handlePlayerHeldObject(PacketSetHeldObject setHeldObjectPacket) {
         handleInvalidPacket(setHeldObjectPacket);
     }
 
-    public void handleTransaction(ContainerAckPacket containerAckPacket)
+    public void handleTransaction(PacketContainerAck containerAckPacket)
     {
         handleInvalidPacket(containerAckPacket);
     }
 
-    public void handleEntityPainting(AddPaintingPacket addPaintingPacket)
+    public void handleEntityPainting(PacketAddPainting addPaintingPacket)
     {
         handleInvalidPacket(addPaintingPacket);
     }
-    public void handleBoatControl(BoatControlPacket boatControlPacket)
+    public void handleBoatControl(PacketBoatControl boatControlPacket)
     {
         handleInvalidPacket(boatControlPacket);
     }
 
-    public void handleBlockEvent(BlockEventPacket blockEventPacket)
+    public void handleBlockEvent(PacketBlockEvent blockEventPacket)
     {
         handleInvalidPacket(blockEventPacket);
     }
 
-    public void handleStatistic(StatisticPacket statisticPacket)
+    public void handleStatistic(PacketStatistic statisticPacket)
     {
         handleInvalidPacket(statisticPacket);
     }
 
-    public void handleSleep(SleepPacket sleepPacket)
+    public void handleSleep(PacketSleep sleepPacket)
     {
         handleInvalidPacket(sleepPacket);
     }
-    public void handleBed(BedMessagePacket bedMessagePacket)
+    public void handleBed(PacketBedMessage bedMessagePacket)
     {
         handleInvalidPacket(bedMessagePacket);
     }
 
-    public void handleWeather(WeatherEffectPacket weatherEffectPacket)
+    public void handleWeather(PacketWeatherEffect weatherEffectPacket)
     {
         handleInvalidPacket(weatherEffectPacket);
     }
 
-    public void handleMapData(MapDataPacket mapdataPacket)
+    public void handleMapData(PacketMapData mapdataPacket)
     {
         handleInvalidPacket(mapdataPacket);
     }
 
-    public void handlePlaySoundEffect(PlaySoundEffectPacket playSoundEffectPacket)
+    public void handlePlaySoundEffect(PacketPlaySoundEffect playSoundEffectPacket)
     {
         handleInvalidPacket(playSoundEffectPacket);
     }
-    public void handlePlaySoundDirectly(PlaySoundEffectDirectPacket playSoundEffectDirectPacket)
+    public void handlePlaySoundDirectly(PacketPlaySoundEffectDirect playSoundEffectDirectPacket)
     {
         handleInvalidPacket(playSoundEffectDirectPacket);
     }
-    public void handleSpawnParticle(AddParticlePacket addParticlePacket)
+    public void handleSpawnParticle(PacketAddParticle addParticlePacket)
     {
         handleInvalidPacket(addParticlePacket);
     }
 
-    public void handleEntityPlayerGamemode(PlayerGamemodePacket playerGamemodePacket)
+    public void handleEntityPlayerGamemode(PacketPlayerGamemode playerGamemodePacket)
     {
         handleInvalidPacket(playerGamemodePacket);
     }
 
-    public void handleUpdateCreativeInventory(UpdateCreativeInventoryPacket updateCreativeInventoryPacket)
+    public void handleUpdateCreativeInventory(PacketUpdateCreativeInventory updateCreativeInventoryPacket)
     {
         handleInvalidPacket(updateCreativeInventoryPacket);
     }
 
-    public void handleWeatherStatus(WeatherStatusPacket weatherStatusPacket)
+    public void handleWeatherStatus(PacketWeatherStatus weatherStatusPacket)
     {
         handleInvalidPacket(weatherStatusPacket);
     }
 
-    public void handleOpenGuidebook(GuidebookPacket guidebookPacket)
+    public void handleOpenGuidebook(PacketGuidebook guidebookPacket)
     {
         handleInvalidPacket(guidebookPacket);
     }
 
-    public void handleSetHotbarOffset(SetHotbarOffsetPacket setHotbarOffsetPacket)
+    public void handleSetHotbarOffset(PacketSetHotbarOffset setHotbarOffsetPacket)
     {
         handleInvalidPacket(setHotbarOffsetPacket);
     }
 
-    public void handleEntityNickname(EntityNicknamePacket entityNicknamePacket)
+    public void handleEntityNickname(PacketEntityNickname entityNicknamePacket)
     {
         handleInvalidPacket(entityNicknamePacket);
     }
 
-    public void handleSendKey(AESSendKeyPacket AESSendKeyPacket)
+    public void handleSendKey(PacketAESSendKey AESSendKeyPacket)
     {
         handleInvalidPacket(AESSendKeyPacket);
     }
 
-    public void handleItemName(SetItemNamePacket setItemNamePacket)
+    public void handleItemName(PacketSetItemName setItemNamePacket)
     {
         handleInvalidPacket(setItemNamePacket);
     }
-    public void handlePlayerList(PlayerListPacket playerListPacket)
+    public void handlePlayerList(PacketPlayerList playerListPacket)
     {
         handleInvalidPacket(playerListPacket);
     }
 
-    public void handleOpenFlagWindow(FlagOpenPacket flagOpenPacket)
+    public void handleOpenFlagWindow(PacketFlagOpen flagOpenPacket)
     {
         handleInvalidPacket(flagOpenPacket);
     }
 
-    public void handlePhotoMode(PhotoModePacket photoModePacket)
+    public void handlePhotoMode(PacketPhotoMode photoModePacket)
     {
         handleInvalidPacket(photoModePacket);
     }
 
-    public void handlePingHandshake(PingHandshakePacket pingHandshakePacket) {
+    public void handlePingHandshake(PacketPingHandshake pingHandshakePacket) {
         handleInvalidPacket(pingHandshakePacket);
     }
 
-    public void handleGameRule(GameRulePacket gameRulePacket) {
+    public void handleGameRule(PacketGameRule gameRulePacket) {
         handleInvalidPacket(gameRulePacket);
     }
 
-    public void handleSyncedRecipe(RecipeSyncPacket recipeSyncPacket) {
+    public void handleSyncedRecipe(PacketRecipeSync recipeSyncPacket) {
         handleInvalidPacket(recipeSyncPacket);
     }
     
-    public void handleIds(SyncIDsPacket syncIDsPacket) {
+    public void handleIds(PacketSyncIDs syncIDsPacket) {
     	handleInvalidPacket(syncIDsPacket);
     }
     
-    public void handleCustomPayload(CustomPayloadPacket customPayloadPacket) {
+    public void handleCustomPayload(PacketCustomPayload customPayloadPacket) {
     	handleInvalidPacket(customPayloadPacket);
     }
 
-    public void handleCommandManagerPacket(CommandManagerPacket commandManagerPacket) {
+    public void handleCommandManagerPacket(PacketCommandManager commandManagerPacket) {
         handleInvalidPacket(commandManagerPacket);
     }
 
-    public void handleRequestCommandManagerPacket(RequestCommandManagerPacket requestCommandManagerPacket) {
+    public void handleRequestCommandManagerPacket(PacketRequestCommandManager requestCommandManagerPacket) {
         handleInvalidPacket(requestCommandManagerPacket);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet.java b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
similarity index 61%
rename from src/main/java/net/minecraft/core/net/packet/Packet.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
index 6938b9216..371cfb9f0 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
@@ -252,88 +252,88 @@ public abstract class Packet
 
     static
     {
-        addMapping(0, true, true, KeepAlivePacket.class);
-        addMapping(1, true, true, LoginPacket.class);
-        addMapping(2, true, true, PreLoginPacket.class);
-        addMapping(3, true, true, ChatPacket.class);
-        addMapping(4, true, false, SetTimePacket.class);
-        addMapping(5, true, false, SetEquippedItemPacket.class);
-        addMapping(6, true, false, SetSpawnPositionPacket.class);
-        addMapping(7, false, true, InteractPacket.class);
-        addMapping(8, true, false, SetHealthPacket.class);
-        addMapping(9, true, true, RespawnPacket.class);
-        addMapping(10, true, true, MovePlayerPacket.class);
-        addMapping(11, true, true, MovePlayerPacket.Pos.class);
-        addMapping(12, true, true, MovePlayerPacket.Rot.class);
-        addMapping(13, true, true, MovePlayerPacket.PosRot.class);
-        addMapping(14, false, true, PlayerActionPacket.class);
-        addMapping(15, false, true, UseItemPacket.class);
-        addMapping(16, true, true, SetCarriedItemPacket.class);
-        addMapping(17, true, false, SleepPacket.class);
-        addMapping(18, true, true, AnimatePacket.class);
-        addMapping(19, false, true, UpdatePlayerStatePacket.class);
-        addMapping(20, true, false, AddPlayerPacket.class);
-        addMapping(21, true, false, AddItemEntityPacket.class);
-        addMapping(22, true, false, TakeItemEntityPacket.class);
-        addMapping(23, true, false, AddEntityPacket.class);
-        addMapping(24, true, false, AddMobPacket.class);
-        addMapping(25, true, false, AddPaintingPacket.class);
-        addMapping(26, true, true, BoatControlPacket.class);
-        addMapping(27, true, true, SetHeldObjectPacket.class);
-        addMapping(28, true, false, SetEntityMotionPacket.class);
-        addMapping(29, true, false, RemoveEntityPacket.class);
-        addMapping(30, true, false, MoveEntityPacket.class);
-        addMapping(31, true, false, MoveEntityPacket.Pos.class);
-        addMapping(32, true, false, MoveEntityPacket.Rot.class);
-        addMapping(33, true, false, MoveEntityPacket.PosRot.class);
-        addMapping(34, true, false, TeleportEntityPacket.class);
-        addMapping(35, true, true, EntityNicknamePacket.class);
-        addMapping(38, true, false, EnitityEventPacket.class);
-        addMapping(39, true, false, SetRidingPacket.class);
-        addMapping(40, true, false, SetEntityDataPacket.class);
-        addMapping(41, true, false, PlayerGamemodePacket.class);
-        addMapping(42, true, false, EntityTagDataPacket.class);
-        addMapping(50, true, false, ChunkVisibilityPacket.class);
-        addMapping(51, true, false, BlockRegionUpdatePacket.class);
-        addMapping(52, true, false, ChunkBlocksUpdatePacket.class);
-        addMapping(53, true, false, BlockUpdatePacket.class);
-        addMapping(54, true, false, BlockEventPacket.class);
-        addMapping(60, true, false, ExplosionPacket.class);
-        addMapping(61, true, false, PlaySoundEffectPacket.class);
-        addMapping(62, true, false, PlaySoundEffectDirectPacket.class);
-        addMapping(63, true, false, AddParticlePacket.class);
-        addMapping(70, true, false, BedMessagePacket.class);
-        addMapping(71, true, false, WeatherEffectPacket.class);
-        addMapping(72, true, false, UpdatePlayerProfilePacket.class);
-        addMapping(73, true, false, WeatherStatusPacket.class);
-        addMapping(74, true, false, GameRulePacket.class);
-        addMapping(75, true, false, RecipeSyncPacket.class);
-        addMapping(100, true, false, ContainerOpenPacket.class);
-        addMapping(101, true, true, ContainerClosePacket.class);
-        addMapping(102, false, true, ContainerClickPacket.class);
-        addMapping(103, true, false, ContainerSetSlotPacket.class);
-        addMapping(104, true, false, ContainerSetContentPacket.class);
-        addMapping(105, true, false, ContainerSetDataPacket.class);
-        addMapping(106, true, true, ContainerAckPacket.class);
-        addMapping(107, false, true, UpdateCreativeInventoryPacket.class);
-        addMapping(108, true, true, SetHotbarOffsetPacket.class);
-        addMapping(120, true, false, CommandManagerPacket.class);
-        addMapping(121, false, true, RequestCommandManagerPacket.class);
-        addMapping(130, false, true, SignUpdatePacket.class);
-        addMapping(131, true, false, MapDataPacket.class);
-        addMapping(132, true, true, SetMobSpawnerPacket.class);
-        addMapping(133, false, true, GuidebookPacket.class);
-        addMapping(136, true, false, AESSendKeyPacket.class);
-        addMapping(137, false, true, SetItemNamePacket.class);
-        addMapping(138, true, false, PlayerListPacket.class);
-        addMapping(139, false, true, SetPaintingArtPacket.class);
-        addMapping(140, true, false, BlockEntityDataPacket.class);
-        addMapping(142, true, false, FlagOpenPacket.class);
-        addMapping(143, true, false, PhotoModePacket.class);
-        addMapping(200, true, false, StatisticPacket.class);
-        addMapping(201, true, false, SyncIDsPacket.class);
-        addMapping(250, true, true, CustomPayloadPacket.class);
-        addMapping(254, false, true, PingHandshakePacket.class);
-        addMapping(255, true, true, DisconnectPacket.class);
+        addMapping(0, true, true, PacketKeepAlive.class);
+        addMapping(1, true, true, PacketLogin.class);
+        addMapping(2, true, true, PacketPreLogin.class);
+        addMapping(3, true, true, PacketChat.class);
+        addMapping(4, true, false, PacketSetTime.class);
+        addMapping(5, true, false, PacketSetEquippedItem.class);
+        addMapping(6, true, false, PacketSetSpawnPosition.class);
+        addMapping(7, false, true, PacketInteract.class);
+        addMapping(8, true, false, PacketSetHealth.class);
+        addMapping(9, true, true, PacketRespawn.class);
+        addMapping(10, true, true, PacketMovePlayer.class);
+        addMapping(11, true, true, PacketMovePlayer.Pos.class);
+        addMapping(12, true, true, PacketMovePlayer.Rot.class);
+        addMapping(13, true, true, PacketMovePlayer.PosRot.class);
+        addMapping(14, false, true, PacketPlayerAction.class);
+        addMapping(15, false, true, PacketUseItem.class);
+        addMapping(16, true, true, PacketSetCarriedItem.class);
+        addMapping(17, true, false, PacketSleep.class);
+        addMapping(18, true, true, PacketAnimate.class);
+        addMapping(19, false, true, PacketUpdatePlayerState.class);
+        addMapping(20, true, false, PacketAddPlayer.class);
+        addMapping(21, true, false, PacketAddItemEntity.class);
+        addMapping(22, true, false, PacketTakeItemEntity.class);
+        addMapping(23, true, false, PacketAddEntity.class);
+        addMapping(24, true, false, PacketAddMob.class);
+        addMapping(25, true, false, PacketAddPainting.class);
+        addMapping(26, true, true, PacketBoatControl.class);
+        addMapping(27, true, true, PacketSetHeldObject.class);
+        addMapping(28, true, false, PacketSetEntityMotion.class);
+        addMapping(29, true, false, PacketRemoveEntity.class);
+        addMapping(30, true, false, PacketMoveEntity.class);
+        addMapping(31, true, false, PacketMoveEntity.Pos.class);
+        addMapping(32, true, false, PacketMoveEntity.Rot.class);
+        addMapping(33, true, false, PacketMoveEntity.PosRot.class);
+        addMapping(34, true, false, PacketTeleportEntity.class);
+        addMapping(35, true, true, PacketEntityNickname.class);
+        addMapping(38, true, false, PacketEntityEvent.class);
+        addMapping(39, true, false, PacketSetRiding.class);
+        addMapping(40, true, false, PacketSetEntityData.class);
+        addMapping(41, true, false, PacketPlayerGamemode.class);
+        addMapping(42, true, false, PacketEntityTagData.class);
+        addMapping(50, true, false, PacketChunkVisibility.class);
+        addMapping(51, true, false, PacketBlockRegionUpdate.class);
+        addMapping(52, true, false, PacketChunkBlocksUpdate.class);
+        addMapping(53, true, false, PacketBlockUpdate.class);
+        addMapping(54, true, false, PacketBlockEvent.class);
+        addMapping(60, true, false, PacketExplosion.class);
+        addMapping(61, true, false, PacketPlaySoundEffect.class);
+        addMapping(62, true, false, PacketPlaySoundEffectDirect.class);
+        addMapping(63, true, false, PacketAddParticle.class);
+        addMapping(70, true, false, PacketBedMessage.class);
+        addMapping(71, true, false, PacketWeatherEffect.class);
+        addMapping(72, true, false, PacketUpdatePlayerProfile.class);
+        addMapping(73, true, false, PacketWeatherStatus.class);
+        addMapping(74, true, false, PacketGameRule.class);
+        addMapping(75, true, false, PacketRecipeSync.class);
+        addMapping(100, true, false, PacketContainerOpen.class);
+        addMapping(101, true, true, PacketContainerClose.class);
+        addMapping(102, false, true, PacketContainerClick.class);
+        addMapping(103, true, false, PacketContainerSetSlot.class);
+        addMapping(104, true, false, PacketContainerSetContent.class);
+        addMapping(105, true, false, PacketContainerSetData.class);
+        addMapping(106, true, true, PacketContainerAck.class);
+        addMapping(107, false, true, PacketUpdateCreativeInventory.class);
+        addMapping(108, true, true, PacketSetHotbarOffset.class);
+        addMapping(120, true, false, PacketCommandManager.class);
+        addMapping(121, false, true, PacketRequestCommandManager.class);
+        addMapping(130, false, true, PacketSignUpdate.class);
+        addMapping(131, true, false, PacketMapData.class);
+        addMapping(132, true, true, PacketSetMobSpawner.class);
+        addMapping(133, false, true, PacketGuidebook.class);
+        addMapping(136, true, false, PacketAESSendKey.class);
+        addMapping(137, false, true, PacketSetItemName.class);
+        addMapping(138, true, false, PacketPlayerList.class);
+        addMapping(139, false, true, PacketSetPaintingArt.class);
+        addMapping(140, true, false, PacketBlockEntityData.class);
+        addMapping(142, true, false, PacketFlagOpen.class);
+        addMapping(143, true, false, PacketPhotoMode.class);
+        addMapping(200, true, false, PacketStatistic.class);
+        addMapping(201, true, false, PacketSyncIDs.class);
+        addMapping(250, true, true, PacketCustomPayload.class);
+        addMapping(254, false, true, PacketPingHandshake.class);
+        addMapping(255, true, true, PacketDisconnect.class);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/AESSendKeyPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
similarity index 86%
rename from src/main/java/net/minecraft/core/net/packet/AESSendKeyPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
index 935b9d746..27f4b6fcd 100644
--- a/src/main/java/net/minecraft/core/net/packet/AESSendKeyPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
@@ -7,14 +7,14 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class AESSendKeyPacket extends Packet
+public class PacketAESSendKey extends Packet
 {
 
-    public AESSendKeyPacket()
+    public PacketAESSendKey()
     {
     }
 
-    public AESSendKeyPacket(String KEY)
+    public PacketAESSendKey(String KEY)
     {
         this.KEY = KEY;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/AddEntityPacket.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddEntity.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/packet/AddEntityPacket.java
rename to game/core/src/main/java/net/minecraft/core/net/packet/PacketAddEntity.java
index 4d3c990e0..c8b51221d 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddEntityPacket.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddEntity.java
@@ -8,7 +8,7 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class AddEntityPacket extends Packet {
+public class PacketAddEntity extends Packet {
     public int entityId;
     public int xPosition;
     public int yPosition;
@@ -22,14 +22,14 @@ public class AddEntityPacket extends Packet {
     public short type = -1;
     public int ownerId = -1;
     public int metaData = -1;
-    public AddEntityPacket() {}
-    public AddEntityPacket(Entity entity)
+    public PacketAddEntity() {}
+    public PacketAddEntity(Entity entity)
     {
         this(entity, -1, -1, null, null, null);
     }
-    public AddEntityPacket(Entity entity, int metaData){ this(entity, metaData, -1, null, null, null); }
-    public AddEntityPacket(Entity entity, int metaData, int ownerId){ this(entity, metaData, ownerId, null, null, null); }
-    public AddEntityPacket(Entity entity, int metaData, int ownerId, Double xVelocity, Double yVelocity, Double zVelocity) {
+    public PacketAddEntity(Entity entity, int metaData){ this(entity, metaData, -1, null, null, null); }
+    public PacketAddEntity(Entity entity, int metaData, int ownerId){ this(entity, metaData, ownerId, null, null, null); }
+    public PacketAddEntity(Entity entity, int metaData, int ownerId, Double xVelocity, Double yVelocity, Double zVelocity) {
         this.entityId = entity.id;
         this.xPosition = MathHelper.floor(entity.x * 32D);
         this.yPosition = MathHelper.floor(entity.y * 32D);
@@ -47,7 +47,7 @@ public class AddEntityPacket extends Packet {
             this.hasVelocity = false;
         }
     }
-    public AddEntityPacket setType(int type){
+    public PacketAddEntity setType(int type){
         this.type = (short) type;
         return this;
     }
